<form [formGroup]="form" (submit)="create()">
  <div nz-row nzGutter="12">
    <div nz-col nzSpan="6">
      <div style="float: right; padding-top: 5px;">{{ "Common.Name" | translate }}</div>
    </div>
    <div nz-col nzSpan="18">
      <input nz-input placeholder="{{ 'Common.Name' | translate }}" formControlName="name" maxlength="20" />
    </div>
  </div>

  <div nz-row nzGutter="12" style="margin-top: 10px">
    <div nz-col nzSpan="6">
      <div style="float: right; padding-top: 5px;">{{ "Common.Type" | translate }}</div>
    </div>
    <div nz-col nzSpan="18">
      <nz-select style="width: 100%" nzShowSearch nzAllowClear nzPlaceHolder="{{ 'Citizen.Company.selectIndustryType' | translate }}"
        [ngModelOptions]="{standalone: true}" [(ngModel)]="selectedIndustry" nzSize="default"
        [nzCustomTemplate]="selectedItemTemplate">
        <nz-option *ngFor="let data of industryTypes" nzLabel="{{'Economy.' + data.symbol | translate}}"
          [nzValue]="data" nzCustomContent>
          <img [src]="data.value" width="20" height="20" />
          {{ 'Economy.' + data.symbol | translate }}
        </nz-option>
      </nz-select>
      <ng-template #selectedItemTemplate let-selected>
        <span *ngIf="selectedIndustry">
          <img src="{{ selectedIndustry.value }}" width="20" height="20" />
          {{ 'Economy.' + selectedIndustry.symbol | translate }}
        </span>
      </ng-template>

      <!-- <nz-select nzShowSearch nzAllowClear nzPlaceHolder="Select a industry type" style="width: 100%"
        formControlName="industryType">
        <nz-option *ngFor="let item of industryTypes" nzLabel="{{ item.symbol | translate }}" [nzValue]="item.id">
        </nz-option>
      </nz-select> -->
    </div>
  </div>

  <div nz-row nzGutter="12" style="margin-top: 10px">
    <div nz-col nzSpan="6">
      <div style="float: right">{{ "Economy.Currencies.Price" | translate }}</div>
    </div>
    <div nz-col nzSpan="18">10 {{ "Economy.Currencies.Gold" | translate }}</div>
  </div>

  <nz-divider></nz-divider>
  <div nz-row nzGutter="12" style="margin-top: 10px" nzJustify="space-around">
    <div nz-col nzSpan="6">
      <button nz-button nzShape="round" nzType="primary" [nzLoading]="isLoading" type="submit">
        {{ "Common.Buttons.Create" | translate }}
      </button>
    </div>
  </div>
</form>
